from django import forms
from .models import User, Transportasi

class UserForm(forms.ModelForm):
    class Meta:
        model = User
        fields = ['username', 'password', 'birthdate', 'phone_number', 'email', 'blog_url', 'bio']
        widgets = {
            'password': forms.PasswordInput(),
            'birthdate': forms.DateInput(attrs={'type': 'date'}),
        }

class TransportasiForm(forms.ModelForm):
    class Meta:
        model = Transportasi
        fields = ['lokasi_duduk', 'nomor_rangka']
        widgets = {
            'lokasi_duduk': forms.Select(),  
        }
